Articles of wordpress версия

В чем важность написания плагина, совместимого с WP 3.x?

В настоящее время я пишу простейший плагин с настраиваемыми сообщениями и паролями, используя метаданные сообщений и добавляя пару переменных в таблицу «options» в базе данных. Во время моего исследования я увидел некоторые ссылки в WP Codex о том, что плагин назад совместим с версиями до WP 3.x, и мне просто интересно, насколько важно теперь включить […]

Нужно ли удалять версию подключаемого модуля, если вы просто обновляете атрибут «Проверено до»?

У меня есть несколько плагинов, размещенных на сервере wordpress.org svn … с имманентной версией 3.1, я хотел бы обновить метаданные «Проверено до». Функциональных изменений кода не будет, а только метаданных. Необходимо ли изменить номер ревизии для такого тривиального изменения?

Почему существуют обновления для устаревших версий WordPress?

Сегодня веха 3.3.3 была завершена – через пять дней после версии 3.4. Я видел то же самое с вехой 3.2.2, которая никогда не выпускалась. WordPress не предлагает долгосрочную поддержку, как объяснил Мэтт . См. Также: Появятся ли обновления для системы безопасности 3.1 после выпуска версии 3.2? 3.3.3 – это резервный запас безопасности – несколько понятный […]

Автоматически определять минимальную версию WordPress, необходимую для плагина?

При разработке плагина существует ли способ автоматически определять минимальную версию WordPress, которая требуется для ее запуска? Я хочу, чтобы заголовок Requires был точным, но проверка вручную каждый раз, когда я вызываю новую функцию ядра, является утомительной и подверженной ошибкам. Я думаю, что сценарий мог бы понять это достаточно легко: Сканирование всех файлов в плагине. Выполните […]